<?php
/**
* Get Sidebar table data
*
*/
global $options, $wpdb;

$wolf_sidebars_table = $wpdb->prefix.'wolf_sidebars';
$sidebars = $wpdb->get_results("SELECT * FROM $wolf_sidebars_table ORDER BY position");


// Re-order Sidebars by drag & drop (jquery-ui sortable)
if(isset($_POST['sortable'])){
	$sortlist = $_POST['sortable'];
	
	/*
	* $k = position
	* $v = id
	*/
	foreach ($sortlist as $k => $v) {
		$wpdb->query("UPDATE $wolf_sidebars_table SET position=$k WHERE id = $v");

	}
	
}

	
/**
* Add and edit a sidebar
*
**/
function wolf_sidebars_admin_notices($message, $type){
	echo '<div class="wrap"><div class="'.$type.'"><p>'.$message.'</p></div></div>';
}
add_action( 'admin_notices', 'wolf_sidebars_admin_notices' );

if(isset($_GET['delete'])){
	//delete from db
	$id = intval($_GET['delete']);
	$wpdb->query("DELETE FROM $wolf_sidebars_table WHERE id = $id");
	wolf_sidebars_admin_notices(__('Sidebar successfully deleted', 'wolf'), 'updated');
	unset($_GET);
}

if( isset($_POST['addnew']) && wp_verify_nonce($_POST['wolf_add_sidebar_nonce'],'wolf_add_sidebar') ){
	//$id = $_POST['id'];
	$name = $_POST['sidebar_name'];
	$desc = stripslashes($_POST['desc']);
	
	if( WOLF_WIDGET_AREA ){
		$type = $_POST['type'];
		$cols = $_POST['cols'];
	}else{
		$type = 'sidebar';
		$cols = 0;
	}
		

	$wp_id = sanitize_title($name);

	
	if(!empty($_POST['sidebar_name'])){
		//insert in db
		$data = array('wp_id' => $wp_id, 'name' => $name, 'desc' => $desc, 'type' => $type, 'cols' => $cols, 'position' => 0);
		$format = array('%s', '%s', '%s', '%s',  '%d', '%d');
		$wpdb->insert( $wolf_sidebars_table, $data, $format );

		wolf_sidebars_admin_notices(__('Sidebar added', 'wolf'), 'updated');
	}else{
		wolf_sidebars_admin_notices(__('The title can not be empty', 'wolf'), 'error');
	}
}

if( isset($_POST['update']) && wp_verify_nonce($_POST['wolf_edit_sidebar_nonce'],'wolf_edit_sidebar') ){
	$desc = stripslashes($_POST['desc']);
	$id = $_POST['id'];
	$name = $_POST['sidebar_name'];
	
	if( WOLF_WIDGET_AREA ){
		$type = $_POST['type'];
		$cols = $_POST['cols'];
	}else{
		$type = 'sidebar';
		$cols = 0;
	}

	//update in db
	$values = array('desc' => $desc, 'type' => $type, 'cols' => $cols);
	$conditions = array( 'id' => $id);
	$values_types = array('%s', '%s', '%d');
	$conditions_types = array('%d');
	$wpdb->update($wolf_sidebars_table, $values, $conditions, $values_types, $conditions_types); 

	wolf_sidebars_admin_notices(__('Sidebar updated', 'wolf'), 'updated');
	
}


/**
* Sidebar panel
*
**/


// if(wolf_DEBUG){
// 	echo "Sidebars";
// 	debug($sidebars);
// }
$wolf_sidebars_table = $wpdb->prefix.'wolf_sidebars';
$sidebars = $wpdb->get_results("SELECT * FROM $wolf_sidebars_table ORDER BY position");
?>
<div class="wrap">
	<div id="icon-themes" class="icon32"></div>
	<h2><?php _e('Custom Sidebars', 'wolf'); ?></h2>
	<hr>
	<?php if(isset($_GET['edit'])): ?>
	<?php 
	$id = intval($_GET['edit']);
	$sedit =  $wpdb->get_row("SELECT * FROM $wolf_sidebars_table WHERE id = $id");

	?>
	<h3><?php _e('Edit Sidebar', 'wolf'); ?> : <?php echo $sedit->name; ?></h3>
	<div class="left">
		<form action="<?php echo admin_url(); ?>admin.php?page=wolf-sidebars.php" method="post">
			<?php wp_nonce_field('wolf_edit_sidebar', 'wolf_edit_sidebar_nonce'); ?>
			<label for="Description"><?php _e('Description', 'wolf'); ?>: </label>
			<input type="hidden" class="hidden" name="id" value="<?php echo $sedit->id; ?>">
			<input type="hidden" class="hidden" name="sidebar_name" value="<?php echo $sedit->name; ?>">
			<input type="text" class="desc" name="desc" value="<?php echo $sedit->desc; ?>">
			<?php if( WOLF_WIDGET_AREA ): ?>
				<label for="type"><?php _e('Type', 'wolf'); ?>: </label>
				<select id="wolf-cols-select" name="type">
					<option value="sidebar" <?php if($sedit->type=='sidebar') echo "selected=\"selected\"" ; ?>><?php _e('Sidebar', 'wolf'); ?></option>
					<option value="widgetarea" <?php if($sedit->type=='widgetarea') echo "selected=\"selected\"" ; ?>><?php _e('Widgetarea', 'wolf'); ?></option>
				</select>

				<span id="wolf-cols-field" <?php if($sedit->type=='sidebar') echo 'style="display:none"'; ?>>
					<label for="cols"><?php _e('Number of Columns', 'wolf'); ?></label>
					<select name="cols">
						<option value="3"<?php if( $sedit->cols == 3 ) echo ' selected="selected"'; ?>>4</option>
						<option value="4"<?php if( $sedit->cols == 4 ) echo ' selected="selected"'; ?>>3</option>
						<option value="6"<?php if( $sedit->cols == 6 ) echo ' selected="selected"'; ?>>2</option>
						<option value="12"<?php if( $sedit->cols == 12 ) echo ' selected="selected"'; ?>>1</option>
					</select>
				</span>
			<?php endif; ?>
			<input type="submit" class="button-primary" name="update" value="<?php _e('Update', 'wolf'); ?>">
		</form>
	</div>
	<img id="loader" src="<?php echo admin_url('images/loading.gif'); ?>" alt="loader">
	<div class="clear"></div>
	<p><a href="<?php echo admin_url(); ?>admin.php?page=wolf-sidebars.php"><?php _e('back to the main page', 'wolf'); ?></a></p>
	<?php else: ?>
	<h3><?php _e('Add a new Sidebar', 'wolf'); ?></h3>
	<div class="left">
		<form action="<?php echo admin_url(); ?>admin.php?page=wolf-sidebars.php" method="post">
			<?php wp_nonce_field('wolf_add_sidebar', 'wolf_add_sidebar_nonce'); ?>
			<label for="sidebar_namename"><?php _e('Name', 'wolf'); ?>: </label>
			<input type="text" class="name" name="sidebar_name">
			<label for="Description"><?php _e('Description', 'wolf'); ?>: </label>
			<input type="text" class="desc" name="desc">
			<?php if( WOLF_WIDGET_AREA ): ?>
				<label for="type"><?php _e('Type', 'wolf'); ?></label>
				<select id="wolf-cols-select" name="type">
					<option value="sidebar"><?php _e('Sidebar', 'wolf'); ?></option>
					<option value="widgetarea"><?php _e('Widgetarea', 'wolf'); ?></option>
				</select>

				<span id="wolf-cols-field" style="display:none">
					<label for="cols"><?php _e('Number of Columns', 'wolf'); ?></label>
					<select name="cols">
						<option value="3">4</option>
						<option value="4">3</option>
						<option value="6">2</option>
						<option value="12">1</option>
					</select>
				</span>
			<?php endif; ?>
			<input type="submit" class="button-primary" onClick="javascript:Show('loader');" name="addnew" value="<?php _e('Add a sidebar', 'wolf'); ?>">
		</form>
	</div>
	<img id="loader" src="<?php echo esc_url(admin_url('images/loading.gif')); ?>" alt="loader">
	<div class="clear"></div>
	<?php endif; ?>
	
	<table class="wpw-custom-table" >
		<thead>
			<th>#ID <?php if( WOLF_WIDGET_AREA ) echo " / shortcode"; ?></th>
			<th><?php _e('Name', 'wolf'); ?></th>
			<th><?php _e('Description', 'wolf'); ?></th>
			<?php if( WOLF_WIDGET_AREA ): ?>
				<th><?php _e('Type', 'wolf'); ?></th>
			<?php endif; ?>
			<th><?php _e('Action', 'wolf'); ?></th>
		</thead>
		<tbody  id="sortable">
		<?php if($sidebars): ?>
			<?php foreach($sidebars as $s){ ?>
			<tr class="state-default" id="sortable_<?php echo $s->id; ?>">
			<td><?php if( WOLF_WIDGET_AREA ){ 
					if ($s->type == 'widgetarea' ){
						$columns = array(
							6 => 2,
							4 => 3,
							3 => 4,
							12 => 1
						);
						echo '[wolf_widgetarea id="'.$s->wp_id.'"] (' . $columns[$s->cols] . ' columns)';

					}else{
						echo $s->wp_id; 
					}	
						
				}else{ 
					echo $s->wp_id; 
				} 
			?>
			</td>
			<td>
				<a title="<?php _e('Edit', 'wolf'); ?>" href="<?php echo esc_url(admin_url('admin.php?page=wolf-sidebars.php&amp;edit='.$s->id)); ?>">
					<?php echo stripslashes($s->name); ?>
				</a>
			</td>
			<td><?php echo stripslashes($s->desc); ?></td>
			<?php if( WOLF_WIDGET_AREA ): ?>
				<td><?php echo $s->type; ?></td>
			<?php endif; ?>
			<td>
			<a href="<?php echo esc_url(admin_url('admin.php?page=wolf-sidebars.php&amp;edit='.$s->id)); ?>"><img  class="hastip" title="<?php _e('Edit', 'wolf'); ?>" src="<?php echo WOLF_SIDEBARS_URL; ?>/img/edit.png" alt="edit"></a>
			<a href="<?php echo esc_url(admin_url('admin.php?page=wolf-sidebars.php&amp;delete='.$s->id)); ?>" onclick="if (window.confirm('<?php _e('Are you sure to want to delete this sidebar ?', 'wolf'); ?>')) {location.href='default.htm';return true;} else {return false;}">
		<img  class="hastip" title="<?php _e('delete', 'wolf'); ?>" src="<?php echo WOLF_SIDEBARS_URL; ?>/img/delete.png" alt="delete"></a>
			<img  class="action-icon move" title="<?php _e('move', 'wolf'); ?>" src="<?php echo WOLF_SIDEBARS_URL; ?>/img/move.png">
			</td>
			<?php } ?>
		<?php else : ?>
			<td></td><td><?php _e('No custom sidebar yet', 'wolf'); ?></td><td></td><td></td>
		<?php endif; ?>
			</tr>
		</tbody>
	</table>
</div>
<script type="text/javascript">
jQuery(function($){
	var fixHelper = function(e, ui) {
	    ui.children().each(function() {
	        $(this).width($(this).width());
	    });
	    return ui;
	};
	$("#sortable").sortable({
		helper: fixHelper,
		placeholder: "state-highlight",
		opacity : 0.6,
		accept : 'state-default',
		update: function(){             
			serial = $("#sortable").sortable("serialize");
			$.ajax({
				url: "<?php echo esc_url(admin_url('/admin.php?page=wolf-sidebars.php')); ?>",
				type: "post",
				data: serial,
				complete: function(data){console.log(data);}
			});
		}
	});
	$( "#sortable" ).disableSelection();

	var select = $('#wolf-cols-select');
	$(document).on('change', '#wolf-cols-select', function(){
		var val = $(this).val();
		var opt = $('#wolf-cols-field');
		if(val == 'widgetarea'){
			opt.show();
		}
		if(val != 'widgetarea'){
			opt.hide();
		}

	});

});
</script>



