<?php
/**
 * Flycase default options
 *
 * @package WordPress
 * @subpackage Flycase
 * @since Flycase 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

function wolf_theme_default_options_init() {

	$old_theme_options = get_option( 'wolf_theme_options' );
	$theme_options = get_option( 'wolf_theme_options_' . wolf_get_theme_slug() );

	$default_options = array(

		'responsive' => 'true',
		'wolf_rev_custom' => 'true',
		'wolf_woocommerce' => 'true',
		'wolf_woocommerce_buttons' => 'true',
		'wolf_woocommerce_fullwidth' => 'true',
		'wolf_mailchimp' => 'true',
		'facebook' => '#',
		'twitter' => '#',
		'home_header_type' => 'standard',

		'heading_google_font_transform' => 'uppercase',
		'menu_google_font_transform' => 'uppercase',

		'social_meta' => 'true',
		'show_author_box' => 'true',
		'show_share_box_single' => 'true',
		'share_text' => 'Share',
		'share_facebook' => 'true',
		'share_twitter' => 'true',
		'share_pinterest' => 'true',
		'share_tumblr' => 'true',
		'share_mail' => 'true',

		'copyright_textbox' => '&copy; Powered by Wordpress'
	);

	if ( ! $theme_options && $old_theme_options ) {
		add_option( 'wolf_theme_options_' . wolf_get_theme_slug(), $old_theme_options );
		delete_option( 'wolf_theme_options' );
		
	} elseif ( ! $theme_options ) {
		add_option( 'wolf_theme_options_' . wolf_get_theme_slug(), $default_options );
	}

	// woo thumbnails
	$catalog = array(
		'width' 	=> '400',	// px
		'height'	=> '400',	// px
		'crop'	=> 1 		// true
	);
 
	$single = array(
		'width' 	=> '600',	// px
		'height'	=> '600',	// px
		'crop'	=> 1 		// true
	);
 
	$thumbnail = array(
		'width' 	=> '120',	// px
		'height'	=> '120',	// px
		'crop'	=> 0 		// false
	);
 
	// Image sizes
	update_option( 'shop_catalog_image_size', $catalog ); 		// Product category thumbs
	update_option( 'shop_single_image_size', $single ); 		// Single product image
	update_option( 'shop_thumbnail_image_size', $thumbnail );
}
?>