<?php
/**
 * Flycase theme options
 *
 * @package WordPress
 * @subpackage Flycase
 * @since Flycase 1.1.2
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $wolf_theme_options;
$wolf_theme_options = array(


/*-----------------------------------------------------------------------------------*/
/*  Header
/*-----------------------------------------------------------------------------------*/

array( 
	'type' => 'open', 
	'name' => __( 'Home Page', 'wolf' ) 
),
		
	array( 
		'name' => __( 'Home Header Settings', 'wolf' ),
 		'type' => 'section_open',
	),

		array( 'name' => __( 'Home Header Type', 'wolf' ),
			'desc' => __( 'How do you want to display your header on your home page.', 'wolf' ),
			'id' => 'home_header_type',
			'type' => 'select',
			'options' => array(
				'standard' => __( 'Standard', 'wolf' ),
				'fullwidth' => __( 'Full Width', 'wolf' ),
			)
		),

		array( 'name' => __( 'Home Header Content', 'wolf' ),
			'desc' => __( 'Any content to display in the home page header: text, HTML, shortcodes etc...', 'wolf' ),
			'id' => 'home_header_content',
			'type' => 'editor'
		),

	
	array( 'type' => 'section_close' ),

array( 'type' => 'close'),

array( 
	'type' => 'open', 
	'name' => __( 'Custom Content', 'wolf' ) 
),

		array( 'name' => __('Additional Page Content Areas', 'wolf'),
			'type' => 'section_open',
			'desc' => __( 'Two additional areas to display any content above and below your main page content.', 'wolf' ),
		),

		array( 'name' => __( 'Default Top Content Area', 'wolf' ),
			'desc' => __( 'Any content to display at the top of your pages after the header (can be overwritten in post/page options, in the "Top Area" box below your text editor).', 'wolf' ),
			'id' => 'top_holder',
			'type' => 'editor'
		),

		array( 'name' => __( 'Default Bottom Content Area', 'wolf' ),
			'desc' => __( 'Any content to display at the bottom of your pages before the footer (can be overwritten in post/page options, in the "Bottom Area" box below your text editor).', 'wolf' ),
			'id' => 'bottom_holder',
			'type' => 'editor'
		),

		array( 'type' => 'section_close' ),

array( 'type' => 'close'),



/*-----------------------------------------------------------------------------------*/
/*  Google fonts
/*-----------------------------------------------------------------------------------*/
array(
	'type' => 'open',  
	'name' => __( 'Google Fonts', 'wolf' ) 
),
	
	array( 
		'name' => __( 'Headings', 'wolf' ),
		'type' => 'section_open',
		'desc' =>  __( 'Leave the fields below empty to use the default font', 'wolf' )
	),

		array( 
			'name' => __( 'Titles google font code', 'wolf' ),
			'id' => 'heading_google_font_code',
			'desc' => __( 'eg: Lora:400,700<br> 400 and 700 are the available font weights', 'wolf' ),
			'help' => 'google-fonts',
			'type' => 'text',
		),

		array( 
			'name' => __( 'Titles font name', 'wolf' ),
			'id' => 'heading_google_font_name',
			'desc' => __( 'eg: Lora', 'wolf' ),
			'type' => 'text',
		),

		array( 
			'name' => __( 'Titles font weight', 'wolf' ),
			'id' => 'heading_google_font_weight',
			'desc' => __( 'For example: 400 is normal, 700 is bold.<br> The available font weights depend on the font.', 'wolf' ),
			'type' => 'int',
			'def' => 700,
		),

		array( 
			'name' => __( 'Titles text transform', 'wolf' ),
			'id' => 'heading_google_font_transform',
			'type' => 'select',
			'options' => array(
				'standard' => __( 'Standard', 'wolf' ),
				'uppercase' => __( 'Uppercase', 'wolf' ),
			)

		),

	array( 'type' => 'section_close' ),

		array( 
			'name' => __( 'Menu', 'wolf' ),
			'type' => 'section_open',
			'desc' =>  __( 'Leave the fields below empty to use the default font', 'wolf' )
		),

		array( 
			'name' => __( 'Menu google font code', 'wolf' ),
			'id' => 'menu_google_font_code',
			'desc' => __( 'eg: Lora:400,700', 'wolf' ),
			'type' => 'text',
		),

		array( 
			'name' => __( 'Menu font name', 'wolf' ),
			'id' => 'menu_google_font_name',
			'desc' => __( 'eg: Lora', 'wolf' ),
			'type' => 'text',
		),

		array( 
			'name' => __( 'Menu font weight', 'wolf' ),
			'id' => 'menu_google_font_weight',
			'type' => 'int',
			'def' => 700,
		),

		array( 
			'name' => __( 'Menu text transform', 'wolf' ),
			'id' => 'menu_google_font_transform',
			'type' => 'select',
			'options' => array(
				'standard' => __( 'Standard', 'wolf' ),
				'uppercase' => __( 'Uppercase', 'wolf' ),
			)

		),

	array( 'type' => 'section_close' ),


	array( 
		'name' => __( 'Body', 'wolf' ),
		'type' => 'section_open',
		'desc' => __( 'The default font for your page body', 'wolf' )
	),

		array( 
			'name' => __( 'Body google font code', 'wolf' ),
			'id' => 'body_google_font_code',
			'desc' => __( 'eg: Lora:400,700', 'wolf' ),
			'type' => 'text',
		),

		array( 
			'name' => __( 'Body font name', 'wolf' ),
			'id' => 'body_google_font_name',
			'desc' => __( 'eg: Lora', 'wolf' ),
			'type' => 'text',
		),

	array( 'type' => 'section_close' ),

array( 'type' => 'close' ),

/*-----------------------------------------------------------------------------------*/
/*  Share
/*-----------------------------------------------------------------------------------*/

array( 
	'type' => 'open', 
	'name' =>__( 'Share', 'wolf' )
),

	array( 
		'name' => __( 'Share Links', 'wolf' ),
		'type' => 'section_open',
	),

	array( 'name' => __('Facebook & Google plus meta', 'wolf'),
		'desc' => __( 'Would you like to generate facebook and google plus metadata? Disable this function if you use a SEO plugin.', 'wolf' ),
		'id' => 'social_meta',
		'type' => 'checkbox',
	),

	array( 'name' => __( 'Default Share image', 'wolf' ),
		'desc' => __( 'By default, the post featured image will be shown when you share a post/page on facebook. Here you can set the default image that will be displayed if no featured image is set', 'wolf' ),
		'id' => 'share_img',
		'type' => 'file',
	),


	array( 'name' => __('Show author bio', 'wolf'),
		'desc' => __( 'Would you like to show the author bio below each single blog post when there is multiple authors ? The author must have entered his descirption in his profile to display his bio.', 'wolf' ),
		'id' => 'show_author_box',
		'type' => 'checkbox',
	),

	array( 'name' => __('Share Icons', 'wolf'),
		'type' => 'subtitle'),

	array( 'name' => __('Index Page', 'wolf'),
		'desc' => __( 'Would you like to display "share" links below each post on the blog index page ?', 'wolf' ),
		'id' => 'show_share_box_index',
		'type' => 'checkbox',

	),

	array( 'name' => __('Single Page', 'wolf'),
		'desc' => __( 'Would you like to display "share" links below each single post ?', 'wolf' ),
		'id' => 'show_share_box_single',
		'type' => 'checkbox',

	),

	array( 'name' => __('Share Text', 'wolf'),
		'id' => 'share_text',
		'type' => 'text',
	),

	array( 'name' => __('Facebook', 'wolf'),
		'id' => 'share_facebook',
		'type' => 'checkbox',
	),

	array( 'name' => __('Twitter', 'wolf'),
		'id' => 'share_twitter',
		'type' => 'checkbox',
	),

	array( 'name' => __('Pinterest', 'wolf'),
		'id' => 'share_pinterest',
		'type' => 'checkbox',
	),

	array( 'name' => __('Google plus', 'wolf'),
		'id' => 'share_google_plus',
		'type' => 'checkbox',
	),

	array( 'name' => __('Tumblr', 'wolf'),
		'id' => 'share_tumblr',
		'type' => 'checkbox',
	),

	array( 'name' => __('Stubleupon', 'wolf'),
		'id' => 'share_stumbleupon',
		'type' => 'checkbox',
	),

	array( 'name' => __('Linked In', 'wolf'),
		'id' => 'share_linkedin',
		'type' => 'checkbox',
	),

	array( 'name' => __('Email', 'wolf'),
		'id' => 'share_mail',
		'type' => 'checkbox',
	),


	array( 'type' => 'section_close' ),


array( 'type' => 'close' ),


/*-----------------------------------------------------------------------------------*/
/*  CSS
/*-----------------------------------------------------------------------------------*/

array( 'type' => 'open', 'name' => 'CSS' ),

	array( 'name' => 'CSS',
		'type' => 'section_open',
	),

		'css' => array( 
			'name' => __( 'Custom CSS', 'wolf' ),
			'desc' => __( 'Want to add any custom CSS code? Put in here, and the rest is taken care of.', 'wolf' ),
			'id' => 'custom_css',
			'type' => 'textarea',
		),

	array( 'type' => 'section_close' ),


array( 'type' => 'close' ),

/*-----------------------------------------------------------------------------------*/
/*  Analytics
/*-----------------------------------------------------------------------------------*/

array( 'type' => 'open', 'name' => __( 'Tracking Code', 'wolf' ) ),
	
	array( 'name' => __( 'Tracking Code', 'wolf' ),
		'type' => 'section_open' ),

	
		array( 'name' => __( 'Tracking Code', 'wolf' ),
			'desc' => __( 'You can paste your <strong>Google Analytics</strong> or other tracking code in this box. 
				<br>Note that your tracking code will not be output when you\'re logged in to not count your own page views.', 'wolf' ),
			'id' => 'tracking_code',
			'type' => 'javascript',
		),

	array( 'type' => 'section_close' ),

		
array( 'type' => 'close' ),


/*-----------------------------------------------------------------------------------*/
/*  Misc
/*-----------------------------------------------------------------------------------*/

array( 
	'type' => 'open', 
	'name' => __( 'Misc', 'wolf'  ) 
),

	array( 
		'name' => __( 'Misc', 'wolf' ),
		'type' => 'section_open',
	),

		array( 'name' => __('Responsive', 'wolf'),
			'id' => 'responsive',
			'type' => 'checkbox',
			'desc' => __( 'Resize the layout automatically on mobile devices.', 'wolf' ),
		),

		array( 'name' => __('No loader', 'wolf'),
			'id' => 'no_loader',
			'type' => 'checkbox',
			'desc' => __( 'Disable loading overlay animation.', 'wolf' ),
		),

		array( 'name' => __('Loading Overlay Color', 'wolf'),
			'id' => 'overlay_color',
			'type' => 'colorpicker',
		),
	
		array(
			'name' => __( 'Copyright Text', 'wolf' ),
			'id' => 'copyright_textbox',
			'label' => __( 'Copyright text', 'wolf' ),
			'type' => 'text',

		),

		array(

			'id' => 'login_logo',
			'name' => __( 'Admin Login Logo', 'wolf' ),
			'desc' => __( 'It will replace the Wordpress logo on the admin login page. ( It must be 80px X 80px )', 'wolf' ),
			'type' => 'image',

		),

		array(

			'id' => 'custom_avatar',
			'name' => __( 'Custom Default Avatar (80px X 80px)', 'wolf' ),
			'desc' => sprintf( __( 'Once uploaded and saved, you will have to set your new avatar in the <a href="%s">discussion settings</a> (at the bottom of the page)', 'wolf' ), esc_url( admin_url( 'options-discussion.php' ) ) ),
			'type' => 'image',
			'help' => 'custom-avatar'

		),

	array( 'type' => 'section_close' ),

array( 'type' => 'close' ),


/*-----------------------------------------------------------------------------------*/
/*  Socials
/*-----------------------------------------------------------------------------------*/

	array( 'type' => 'open',  'name' => __( 'Social Links', 'wolf'  ) ),
		
		array( 'name' => __( 'Socials', 'wolf' ),
			'type' => 'section_open',
			'desc' => __( 'Set your social network profiles URL here. The social icons will be automatically displayed in the footer', 'wolf' )
		),
	
	//array( 'type' => 'close' ),

); // end theme options array


$socials = array(
		'facebook',
		'twitter',
		'instagram',
		'youtube',
		'vimeo',
		'soundcloud',
		'spotify',
		'myspace',
		'grooveshark',
		'lastfm' ,
		'google-plus',
		'pinterest',
		'tumblr',
		//'skype' ,
		'linkedin',
		'digg',
		'dribbble',
		'deviantart',
		'github',
		'delicious' ,
		'stumbleupon' ,
		'forrst',
		'foursquare',
		'zerply',
		'evernote',
		'behance',
		'pixels',
		'rss'
);

$social_fields = array();

foreach ( $socials as $s ) {
	$label =  ucfirst( $s );
	if( $s == 'pixels' )
		$label = '500 pixels';
	
	$wolf_theme_options[] = array( 'name' => $label . ' URL',
		'id' => $s,
		'type' => 'url',
	);
}
$wolf_theme_options[] = array( 'name' => 'Skype URL',
		'id' => 'skype',
		'type' => 'text',
	);

	$wolf_theme_options[] = array( 'type' => 'section_close' );

$wolf_theme_options[] = array( 'type' => 'close' );

/*-----------------------------------------------------------------------------------*/
/*  Plugin Styles
/*-----------------------------------------------------------------------------------*/

/* Display this section only if woocommerce or revslider is installed */
if ( 
	class_exists( 'Woocommerce' ) 
	|| class_exists( 'RevSliderAdmin' ) 
	|| function_exists( 'mailchimpSD_plugin_action_links' ) 
	|| function_exists( 'Wolf_Discography' )
	|| class_exists( 'Wolf_Videos' )
) {

	$wolf_theme_options[] = array( 'type' => 'open' ,  'name' => __( 'Plugin Styles', 'wolf'  ) );

	$wolf_theme_options[] = array( 'name' => __( 'Plugin', 'wolf' ),
				'type' => 'section_open',
	);

	if ( class_exists( 'Wolf_Discography' ) ) {

		$wolf_theme_options[] = array( 'name' => 'Discography',
				'type' => 'section_open',
		);
		
		$wolf_theme_options[] =array( 'name' => __( 'Display discography page in grid', 'wolf' ),
				'id' => 'discography_grid',
				'type' => 'checkbox',
		);

		$wolf_theme_options[] = array( 'type' => 'section_close' );
	}

	/* Display this section only if Wolf Videos is installed */
	if (  class_exists( 'Wolf_Videos' ) ) {

		$wolf_theme_options[] = array( 'name' => __( 'Videos', 'wolf' ),
					'type' => 'section_open',
		);

		if ( class_exists( 'Wolf_Videos' ) ) {
			
			$wolf_theme_options[] =array( 'name' => __( 'Open Videos in a lightbox', 'wolf' ),
					'id' => 'video_lightbox',
					'type' => 'checkbox',
			);
		}

		$wolf_theme_options[] = array( 'type' => 'section_close' );
	}


	if ( class_exists( 'Woocommerce' ) ) {

		$wolf_theme_options[] = array( 'name' => 'WooCommerce',
				'type' => 'section_open',
		);

		$wolf_theme_options[] =array( 'name' => __( 'Make the Woocommerce pages full width', 'wolf' ),
				'id' => 'wolf_woocommerce_fullwidth',
				'type' => 'checkbox',
				'desc' => __( 'Disable this option to display a sidebar on WooCommerce pages', 'wolf' )
		);

		$wolf_theme_options[] =array( 'name' => __( 'Use WooCommerce Theme style', 'wolf' ),
				'id' => 'wolf_woocommerce',
				'type' => 'checkbox',
				'desc' => __( 'Disable this option if you want to customize the woocomerce CSS from scratch', 'wolf' )
		);

		$wolf_theme_options[] =array( 'name' => __( 'Use Theme Button Style in WooCommerce', 'wolf' ),
				'id' => 'wolf_woocommerce_buttons',
				'type' => 'checkbox',
				'desc' => __( 'Disable this option if you want to customize the woocomerce button colors yourself', 'wolf' )
		);

		$wolf_theme_options[] = array( 'type' => 'section_close' );
	}

	if ( class_exists( 'RevSliderAdmin' ) ) {

		$wolf_theme_options[] = array( 'name' => 'Revolution Slider',
				'type' => 'section_open',
		);

		$wolf_theme_options[] = array( 'name' => __( 'Use Revolution Slider Theme style', 'wolf' ),
				'id' => 'wolf_rev_custom',
				'type' => 'checkbox',
				'desc' => __( 'Enable this option to use the revolution slider theme style', 'wolf' )
		);

		$wolf_theme_options[] = array( 'type' => 'section_close' );
	}

	if ( function_exists( 'mailchimpSD_plugin_action_links' ) ) {

		$wolf_theme_options[] = array( 'name' => 'MailChimp',
				'type' => 'section_open',
		);

		$wolf_theme_options[] =array( 'name' => __( 'Use MailChimp Theme style', 'wolf' ),
				'id' => 'wolf_mailchimp',
				'type' => 'checkbox'
		);

		$wolf_theme_options[] = array( 'type' => 'section_close' );
	}


		$wolf_theme_options[] = array( 'type' => 'section_close' );

	$wolf_theme_options[] = array( 'type' => 'close' );
}

/* end options */

if ( ! is_child_theme() ) {
	
	$child_theme_message = sprintf(
		__( 'Want to add any custom CSS code? Put in here, and the rest is taken care of. If you need more CSS customization, you should create a <a href="%s" target="_blank">Child Theme</a>', 'wolf' ),
		'http://codex.wordpress.org/Child_Themes'
	);

	$wolf_theme_options['css']['desc'] = $child_theme_message;
}
