<?php
global $customizer_options;
$customizer_options = array(

	'presets' => array(

		'id' => 'presets',
		'title' => __( 'Presets', 'wolf' ),
		'desc' => __( 'The skin presets will update your layout options but keep your uploaded background images', 'wolf' ),
		'options' => array(

			'skin' => array(

				'id' => 'skin',
				'label' => __( 'Preset Skins', 'wolf' ),
				'type' => 'skins',
				'default' => 'dark',
				'choices' => array(
					'dark' => __( 'dark', 'wolf' ),
					'light' => __( 'light', 'wolf' ),
					'transparency' => __( 'transparency', 'wolf' ),
					'parallax' => __( 'parallax', 'wolf' ),
					'boxed' => __( 'boxed', 'wolf' ),
				),
				'transport' => 'postMessage',
			),


		)

	),

	'main' => array(

		'id' => 'main',
		'title' => __( 'Main Styles', 'wolf' ),
		'desc' => __( 'The main layout options for your page', 'wolf' ),
		'options' => array(

			'logo' => array(

				'id' => 'logo',
				'label' => __( 'Logo', 'wolf' ),
				'type' => 'image',

			),

			'logo_align' => array(

				'id' => 'logo_align',
				'label' => __( 'Logo Alignment', 'wolf' ),
				'type' => 'select',
				'default' => 'center',
				'choices' => array(

					'center' => 'center',
					'left' => 'left',
					'right' => 'right'
				),
				'transport' => 'postMessage',

			),


			'page_container' => array(

				'id' => 'page_container',
				'label' => __( 'Layout', 'wolf' ),
				'type' => 'select',
				'default' => 'fullwidth',
				'choices' => array(

					'fullwidth' => 'fullwidth',
					'boxed' => 'boxed'
				),
				'transport' => 'postMessage',

			),

			'accent_color' => array(

				'id' => 'accent_color',
				'label' => __( 'Accent Color', 'wolf' ),
				'type' => 'color',

			),

			'lightbox' => array(

				'id' => 'lightbox',
				'label' => __( 'Lightbox', 'wolf' ),
				'type' => 'select',
				'default' => 'swipebox',
				'choices' => array(

					'swipebox' => 'swipebox',
					'fancybox' => 'fancybox'
				),

			),


			'hide_top_bar' => array(

				'id' => 'hide_top_bar',
				'label' => __( 'Hide Top Bar', 'wolf' ),
				'type' => 'checkbox',
				'default' => '',
				'transport' => 'postMessage'

			)

		)

	),

	'body_bg' => array(
		'id' =>'body_bg',
		'label' => __( 'Body', 'wolf' ),
		'background' => true,
		'font_color' => false,
		'no_bg' => false,
		'opacity' => false

	),


	'header' => array(
		'id' => 'header',
		'title' => __( 'Header', 'wolf' ),
		'options' => array(

			'header_height' => array(

				'id' => 'header_height',
				'label' => __( 'Header Height in px. Leave empty for auto height', 'wolf' ),
				'default' => '0',
				'type' => 'int',
				'transport' => 'postMessage',
				'priority' => 0

			),

			'header_bg' => array(
				'id' =>'header_bg',
				'label' => __( 'Header', 'wolf' ),
				'type' => 'background',
				'parallax' => true

			),

		)
	),

	'menu' => array(
		'id' => 'menu',
		'title' => __( 'Main Menu', 'wolf' ),
		'options' => array(

			'menu_color' => array(
				'id' =>'menu_color',
				'label' => __( 'Menu Font Color', 'wolf' ),
				'type' => 'select',
				'default' => 'light',
				'choices' => array(
					'light' => __( 'light', 'wolf' ),
					'dark' => __( 'dark', 'wolf' )
				),
				'priority' => 0,
			),


			'menu_bg' => array(
				'id' =>'menu_bg',
				'label' => __( 'Menu', 'wolf' ),
				'type' => 'background',
				'img' => false,
				'font_color' => false
			),


			'menu_position' => array(

				'id' => 'menu_position',
				'label' => __( 'Menu Position', 'wolf' ),
				'type' => 'select',
				'default' => 'bottom',
				'choices' => array(

					'top' => __( 'top', 'wolf' ),
					'bottom' => __( 'bottom', 'wolf' )
				),
				'transport' => 'postMessage'

			),

			'sticky_menu' => array(

				'id' => 'sticky_menu',
				'label' => __( 'Sticky Menu', 'wolf' ),
				'type' => 'checkbox',
				'default' => '',
				'transport' => 'postMessage'

			),

			// 'main_menu_margin_left' => array(

			// 	'id' => 'main_menu_margin_left',
			// 	'label' => __( 'Main Menu Left Margin (in px)', 'wolf' ),
			// 	'type' => 'int',
			// 	'default' => '0',
			// 	'transport' => 'postMessage'

			// ),

			'center_menu' => array(

				'id' => 'center_menu',
				'label' => __( 'Center Menu', 'wolf' ),
				'type' => 'checkbox',
				'default' => '',
				//'transport' => 'postMessage'

			),

			'main_menu_breakpoint' => array(

				'id' => 'main_menu_breakpoint',
				'label' => __( 'Menu Breakpoint for mobile devices (in px)', 'wolf' ),
				'type' => 'int',
				'default' => '1030'
			),

			'no_mobile_menu' => array(

				'id' => 'no_mobile_menu',
				'label' => __( 'Disable Mobile Menu', 'wolf' ),
				'type' => 'checkbox',
				'default' => '',
				//'transport' => 'postMessage'

			),
		)
	),


	'page' => array(
		'id' => 'page',
		'title' => __( 'Page', 'wolf' ),
		'desc' => __( 'The main content area', 'wolf' ),

		'options' => array(

			'page_title_color' => array(

				'id' => 'page_title_color',
				'label' => __( 'Page Title Color', 'wolf' ),
				'type' => 'color',
				'transport' => 'postMessage'
			),

			'page_bg' => array(
				'id' =>'page_bg',
				'desc' => __( 'The main page content', 'wolf' ),
				'label' => __( 'Page Content', 'wolf' ),
				'type' => 'background',
				'font_color' => false

			)
		)

	),


	'entry_bg' => array(
		'id' =>'entry_bg',
		'desc' => __( 'The post containers, and widget containers. Use this background to give a "boxed" feel to your layout', 'wolf' ),
		'label' => __( 'Entry', 'wolf' ),
		'background' => true,
		'transport' => 'refresh'
	),

	'top_holder_bg' => array(
		'id' =>'top_holder_bg',
		'desc' => __( 'Be sure that you have inserted content in this area.', 'wolf' ),
		'label' => __( 'Top area', 'wolf' ),
		'background' => true,
		'parallax' => true

	),

	'bottom_holder_bg' => array(
		'id' =>'bottom_holder_bg',
		'desc' => __( 'Be sure that you have inserted content in this area.', 'wolf' ),
		'label' => __( 'Bottom area', 'wolf' ),
		'background' => true,
		'parallax' => true

	),

	'sidebar_footer_bg' => array(
		'id' =>'sidebar_footer_bg',
		'label' => __( 'Footer Widget area', 'wolf' ),
		'background' => true,
		'parallax' => true

	),


	'css' => array(
		'id' => 'css',
		'title' => __( 'CSS box', 'wolf' ),
		'desc' => sprintf( __( 'Use this box to add little CSS snippets.
			To add more advanced CSS rules, you can use the CSS tab in the <a href="%s">theme options</a>.', 'wolf' ), esc_url( admin_url( 'admin.php?page=wolf-theme-options' ) ) ),
		'options' => array(

			'custom_css' => array(

				'id' => 'custom_css',
				'label' => __( 'Custom CSS', 'wolf' ),
				'type' => 'textarea',

			),


		)

	),

);

if ( function_exists( 'wolf_music_network' ) ) {
	$customizer_options['music_network_bg'] = array(

		'id' =>'music_network_bg',
		'desc' => __( 'The music logos area at the bottom of the page.', 'wolf' ),
		'label' => __( 'Music Network background', 'wolf' ),
		'background' => true
	);
}

if ( class_exists( 'Wolf_Theme_Customizer' ) ){
	new Wolf_Theme_Customizer( $customizer_options );
}